* {
    margin: 0px;
    padding: 0px;
}

body {
    background-color: #050515;
    background-image: url(./portfolio-asset/star-sky.jpg);
    color: white;
}

main {
    background-color: #0c1d33;
    margin: 2.5vh 1.3vw;
    display: grid;
    grid-template-columns: 25vw 72.4vw;
    grid-template-rows: 15vh 80vh;
}

.menu {
    padding: 8px 12px;
}

.gridTop {
    grid-column-start: 1;
    grid-row-start: 1;
    border-right: solid 1px #050515;

}

.gridLeft {
    grid-column-start: 1;
    grid-row-start: 2;
    border-right: solid 1px #050515;
    margin-bottom: 20px;
    padding-top: 10vh;
}

.gridRight {
    grid-column-start: 2;
    grid-row-start: 1;
    grid-row-end: 3;
}

.contenu {
    overflow-y: scroll;
    scrollbar-color: #050515 #0c1d33;
    scrollbar-width: thin;
}

h1 {
    font-family: "Poetsen One", serif;
    font-size: 42px;
    text-shadow: 2px 0 #050515, -2px 0 #050515, 0 2px #050515, 0 -2px #050515,
        1px 1px #050515, -1px -1px #050515, 1px -1px #050515, -1px 1px #050515;
    color: #ffeedd;
}

h2,
a {
    font-family: "Martel Sans", sans-serif;
}

h2 {
    font-size: 20px;
    font-weight: normal;
}

p {
    font-size: 18px;
}

.btn {
    display: block;
    text-align: center;
    padding: 10px;
    margin-bottom: 20px;
    font-size: 1em;
    width: 100px;
    border: solid #05051575;
    border-radius: 5px;
    background-color: #ffeedd;
    color: #050515;
}

.btn:hover {
    cursor: pointer;
    text-decoration: underline;
    background-color: #fff5ea;
}

/*onglet qui suis-je?*/
#presentation {
    display: block;
    padding: 5vh 5vw;
}

.btnQui {
    font-weight: bold;
}

#presentation img {
    margin-top: 10vh;
    margin-bottom: 32px;
}

#presentation p{
    margin-bottom: 10vh;
}

.centerTrick{
    display: flex;
    justify-content: center;
}

/*onglet projet*/
#projet {
    display: none;
}

#projet h2 {
    text-align: center;
    margin-bottom: 5vh;
    margin-top: 1vh;
}

.projet-cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 2.5vw;
    padding: 0 4vw;
    justify-items: center;
}

.card {
    display: grid;
    text-align: center;
    min-height: 250px;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    border-radius: 10px;
    background-color: #ffeedd;
    color: #050515;
}
    
.imgOverflow{
    width: 100%;
    height: 150px;
    overflow: hidden;
    border-radius: 10px 10px 0px 0px;
    display: flex;
    justify-content: center;
}

.imgOverflow img{
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.card p {
    text-align: left;
    padding: 10px;
}

.btnProjetCard {
    display: block;
    background-color: #333;
    color: white;
    padding: 5px;
    text-decoration: none;
    border-radius: 5px;
    margin: 10px;
    transition: background-color 0.25s;
}

.btnProjetCard:hover {
    background-color: #808080;
}

/*onglet CV*/
#cv {
    display: none;
}

/*onglet contact*/
#contact {
    display: none;
    justify-content: center;
    padding: 5vh 10vw;
}

.formulaireNom input,
.formulairePrenom input,
.formulaireMail input,
.formulaireMessage textarea {
    display: flex;
    flex-wrap: wrap;
    width: 50vw;
    height: 20px;
    border-color: black;
    border-style: none;
    border-radius: 5px;
    margin-bottom: 10px;
    padding: 5px;
}

.formulaireMessage textarea {
    min-height: 150px;
    max-height: 150px;
    width: 50vw;
    max-width: 50vw;
    padding: 5px;
    resize: none;
}

.formulaireEnvoyer {
    width: 51vw;
    margin-bottom: 25px;
    background-color: rgb(66, 135, 255);
    border-style: none;
    border-radius: 5px;
    margin-bottom: 10px;
    height: 50px;
    color: white;
    font-size: 20px;
    cursor: pointer;
}

.formulaireEnvoyer:hover {
    background-color: rgb(66, 176, 255);
    scale: 0.99;
}

@media (min-width: 1440px){
    main {
        grid-template-columns: 21vw 76.4vw;
    }
}

@media (max-width: 1165px) {
    main {
        grid-template-columns: 30vw 67.4vw;
    }
}

@media (max-width: 975px) {
    main {
        grid-template-columns: 38.75vw 58.65vw;
    }

}

@media (max-width: 755px) {
    main {
        grid-template-columns: 20vw 77.4vw;
    }

    .gridTop {
        grid-column-start: 1;
        grid-column-end: 3;
        grid-row-start: 1;
        border-right: none;
        margin-top: 0px;
    }

    .gridLeft {
        grid-column-start: 1;
        grid-row-start: 2;
        border-right: solid 1px #050515;
    }

    .gridRight {
        grid-column-start: 2;
        grid-row-start: 2;
    }

    .btn {
        margin-bottom: 15px;
        font-size: 12px;
        width: 64px;
    }

    #presentation img {
        margin-top: 0;
        margin-bottom: 32px;
    }
}

@media (max-width: 550px){
    main{
        grid-template-columns: 30vw 67.4vw; 
    }
    .projet-cards{
        padding: 0;
    }

    .card{
        width: 220px;
    }

    .btn {
        margin-bottom: 15px;
        font-size: 10px;
        width: 64px;
    }
}

@media (max-height: 550px){
    main{
        grid-template-rows: 25vh 70vh;
    }
    .gridLeft{
        padding-top: 5vh
    }
}

@media (max-height: 375px){
    main{
        grid-template-rows: 30vh 65vh;
    }
    .gridLeft{
        padding-top: 0vh
    }

    .btn{
        margin-bottom: 10px;
        padding: 10px 5px;
    }
}
